import { SelectInputComponent } from '../../../controls/select-input/select-input.component';
import { Group } from '../../../shared/models/group.model';
import { EventEmitter, ComponentFactoryResolver } from '@angular/core';
import { AppService } from '../../../shared/app.service';
import { AccountService } from '../../../shared/account.service';
import { GroupsService } from '../../../shared/groups.service';
import { User } from '../../../shared/models/user.model';
import { ResourceSelectInputComponent } from '../../resources-grid/resource-select-input/resource-select-input.component';
import { TranslateService } from '@ngx-translate/core';
export declare class GroupSelectInputComponent extends ResourceSelectInputComponent {
    private app;
    private accountService;
    private groupsService;
    private resolver;
    private translateService;
    inputElement: SelectInputComponent;
    lookupTooltip?: string;
    lookupIcon?: string;
    focused: boolean;
    readonly: boolean;
    inputReadonly: boolean;
    name: string;
    placeholder: string;
    title: string;
    model: Group;
    modelChange: EventEmitter<Group>;
    modelAsString: string;
    modelAsStringChange: EventEmitter<string>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    errorsValue: any;
    infoValue: any;
    items: Group[];
    cachedResourcesService: GroupsService;
    constructor(app: AppService, accountService: AccountService, groupsService: GroupsService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    onLookup(): void;
}
