import { Permission } from '../../../shared/models/permission.model';
import { EventEmitter, ElementRef, ComponentFactoryResolver } from '@angular/core';
import { AppService } from './../../../shared/app.service';
import { AccountService } from './../../../shared/account.service';
import { PermissionsService } from '../../../shared/permissions.service';
import { User } from './../../../shared/models/user.model';
import { ResourceInputComponent } from '../../resources-grid/resource-input/resource-input.component';
import { TranslateService } from '@ngx-translate/core';
export declare class PermissionInputComponent extends ResourceInputComponent {
    private app;
    private accountService;
    private permissionsService;
    private resolver;
    private translateService;
    inputElement: ElementRef;
    lookupTooltip?: string;
    lookupIcon?: string;
    focused: boolean;
    readonly: boolean;
    inputReadonly: boolean;
    name: string;
    placeholder: string;
    title: string;
    model: Permission;
    modelChange: EventEmitter<Permission>;
    modelAsString: string;
    modelAsStringChange: EventEmitter<string>;
    errors: EventEmitter<any>;
    info: EventEmitter<any>;
    errorsValue: any;
    infoValue: any;
    items: Permission[];
    cachedResourcesService: PermissionsService;
    constructor(app: AppService, accountService: AccountService, permissionsService: PermissionsService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    onLookup(): void;
}
