import { User } from '../../shared/models/user.model';
import { EventEmitter, ComponentFactoryResolver, ElementRef } from '@angular/core';
import { Permission } from './../../shared/models/permission.model';
import { PermissionModalComponent } from './permission-modal/permission-modal.component';
import { ConfirmModalComponent } from '../../modals/confirm-modal/confirm-modal.component';
import { PermissionsService } from '../../shared/permissions.service';
import { AppService } from '../../shared/app.service';
import { AccountService } from '../../shared/account.service';
import { ResourcesGridComponent } from '../resources-grid/resources-grid.component';
import { TranslateService } from '@ngx-translate/core';
export declare class PermissionsGridComponent extends ResourcesGridComponent {
    private permissionsService;
    private accountService;
    private app;
    private resolver;
    private translateService;
    loadAll?: boolean;
    onSelectItems: EventEmitter<Permission[] | any>;
    focusElement: ElementRef;
    titles: any;
    items: Permission[];
    searchText: string;
    selectedItems: Permission[];
    cachedResourcesService: PermissionsService;
    constructor(permissionsService: PermissionsService, accountService: AccountService, app: AppService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    readonly readonly: boolean;
    showCreateModal(): void;
    showEditModal(item: Permission): void;
    showRemoveModal(item: Permission): void;
    save(itemModal: PermissionModalComponent): void;
    remove(itemModal: ConfirmModalComponent): void;
}
