import { EventEmitter, ComponentFactoryResolver, ElementRef } from '@angular/core';
import { User } from './../../shared/models/user.model';
import { UserModalComponent } from './user-modal/user-modal.component';
import { ConfirmModalComponent } from './../../modals/confirm-modal/confirm-modal.component';
import { AccountService } from './../../shared/account.service';
import { AppService } from './../../shared/app.service';
import { UsersService } from '../../shared/users.service';
import { ResourcesGridComponent } from '../resources-grid/resources-grid.component';
import { TranslateService } from '@ngx-translate/core';
export declare class UsersGridComponent extends ResourcesGridComponent {
    private usersService;
    private accountService;
    private app;
    private resolver;
    private translateService;
    loadAll?: boolean;
    onSelectItems: EventEmitter<User[] | any>;
    focusElement: ElementRef;
    titles: any;
    items: User[];
    searchText: string;
    selectedItems: User[];
    cachedResourcesService: UsersService;
    constructor(usersService: UsersService, accountService: AccountService, app: AppService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    readonly readonly: boolean;
    showCreateModal(): void;
    showEditModal(item: User): void;
    showRemoveModal(item: User): void;
    save(itemModal: UserModalComponent): void;
    remove(itemModal: ConfirmModalComponent): void;
}
