import { EventEmitter } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { ResouceEnumStatus } from '../shared/enums/resource.enums';
import { HttpService } from './http.service';
import { ResponseService } from './response.service';
import { MetaModel } from '../shared/models/meta.model';
export declare class ResourceService {
    http: HttpService;
    response: ResponseService;
    resourcesName: string;
    resourceName: string;
    items$: Subject<any[]>;
    items: any[];
    mockedItems: any[];
    meta: MetaModel;
    props: any;
    apiUrlWithProps: string;
    apiUrl: string;
    parent: any;
    cached: any;
    ignoreCache: boolean;
    queryProps: any;
    statusListMessage: string;
    private _statusList;
    statusItemMessage: string;
    private _statusItem;
    constructor(http: HttpService, response: ResponseService);
    newCache(): any;
    createCache(): any;
    getFromCachedItems(filter: any): any[];
    calcMeta(totalResults: number): void;
    readonly statusList: ResouceEnumStatus;
    setStatusList(status: ResouceEnumStatus, message?: string): void;
    readonly statusItem: ResouceEnumStatus;
    setStatusItem(status: ResouceEnumStatus, message?: string): void;
    transformModel(item: any): any;
    private loadAllItems(loadedItems);
    loadAll(q?: string, filter?: any): EventEmitter<{}>;
    private mockLoadAll(filter, mockedItems);
    private cacheLoadAll(cachedItems);
    private loadItem(loadedItem);
    load(key: string | number): EventEmitter<{}>;
    private createItem(createdItem);
    create(item: any): EventEmitter<{}>;
    private mockCreate(item);
    private updateItem(updatedItem);
    update(item: any): EventEmitter<{}>;
    private mockUpdate(item);
    save(item: any): EventEmitter<{}>;
    private removeItems(items);
    remove(items: any[]): EventEmitter<{}>;
    private mockRemove(items);
}
