import { UserGroupsGridComponent } from './grids/user-groups-grid/user-groups-grid.component';
import { GroupPermissionsGridComponent } from './grids/group-permissions-grid/group-permissions-grid.component';
import { PermissionsGridComponent } from './grids/permissions-grid/permissions-grid.component';
import { PermissionInputComponent } from './grids/permissions-grid/permission-input/permission-input.component';
import { PermissionsListModalComponent } from './grids/permissions-grid/permissions-list-modal/permissions-list-modal.component';
import { PermissionModalComponent } from './grids/permissions-grid/permission-modal/permission-modal.component';
import { ContentTypesGridComponent } from './grids/content-types-grid/content-types-grid.component';
import { ContentTypeSelectInputComponent } from './grids/content-types-grid/content-type-select-input/content-type-select-input.component';
import { ContentTypesListModalComponent } from './grids/content-types-grid/content-types-list-modal/content-types-list-modal.component';
import { ContentTypeModalComponent } from './grids/content-types-grid/content-type-modal/content-type-modal.component';
import { ThemesPageComponent } from './pages/themes-page/themes-page.component';
import { AdminPageComponent } from './pages/admin-page/admin-page.component';
import { AccountPageComponent } from './pages/account-page/account-page.component';
import { ErrorFrameComponent } from './frames/error-frame/error-frame.component';
import { UsersFrameComponent } from './pages/admin-page/users-frame/users-frame.component';
import { ProfileFrameComponent } from './pages/account-page/profile-frame/profile-frame.component';
import { AuthModalComponent } from './modals/auth-modal/auth-modal.component';
import { AlertModalComponent } from './modals/alert-modal/alert-modal.component';
import { ConfirmModalComponent } from './modals/confirm-modal/confirm-modal.component';
import { GridSearchPanelComponent } from './controls/grid-search-panel/grid-search-panel.component';
import { PageHeaderComponent } from './controls/page-header/page-header.component';
import { PageSubHeaderComponent } from './controls/page-sub-header/page-sub-header.component';
import { GridRowButtonsComponent } from './controls/grid-row-buttons/grid-row-buttons.component';
import { ModalFooterButtonsComponent } from './controls/modal-footer-buttons/modal-footer-buttons.component';
import { TextInputComponent } from './controls/text-input/text-input.component';
import { SelectInputComponent } from './controls/select-input/select-input.component';
import { UsersGridComponent } from './grids/users-grid/users-grid.component';
import { UserModalComponent } from './grids/users-grid/user-modal/user-modal.component';
import { CheckboxesInputComponent } from './controls/checkboxes-input/checkboxes-input.component';
import { FontawesomesListModalComponent } from './grids/fontawesomes-grid/fontawesomes-list-modal/fontawesomes-list-modal.component';
import { FontawesomeModalComponent } from './grids/fontawesomes-grid/fontawesome-modal/fontawesome-modal.component';
import { FontawesomeInputComponent } from './grids/fontawesomes-grid/fontawesome-input/fontawesome-input.component';
import { FontawesomesGridComponent } from './grids/fontawesomes-grid/fontawesomes-grid.component';
import { GroupsFrameComponent } from './pages/admin-page/groups-frame/groups-frame.component';
import { GroupModalComponent } from './grids/groups-grid/group-modal/group-modal.component';
import { GroupsListModalComponent } from './grids/groups-grid/groups-list-modal/groups-list-modal.component';
import { GroupSelectInputComponent } from './grids/groups-grid/group-select-input/group-select-input.component';
import { GroupsGridComponent } from './grids/groups-grid/groups-grid.component';
import { NavbarComponent } from './controls/navbar/navbar.component';
import { HomePageComponent } from './pages/home-page/home-page.component';
var CoreComponents = [
    /**
     * Pages
     */
    HomePageComponent,
    ThemesPageComponent,
    AdminPageComponent,
    AccountPageComponent,
    /**
     * Frames
     */
    ErrorFrameComponent,
    UsersFrameComponent,
    ProfileFrameComponent,
    GroupsFrameComponent,
    /**
     * Modals
     */
    PermissionsListModalComponent,
    PermissionModalComponent,
    ContentTypesListModalComponent,
    ContentTypeModalComponent,
    FontawesomesListModalComponent,
    FontawesomeModalComponent,
    AuthModalComponent,
    AlertModalComponent,
    ConfirmModalComponent,
    GroupModalComponent,
    GroupsListModalComponent,
    /**
     * Controls
     */
    NavbarComponent,
    PermissionInputComponent,
    ContentTypeSelectInputComponent,
    FontawesomeInputComponent,
    CheckboxesInputComponent,
    TextInputComponent,
    GridSearchPanelComponent,
    PageHeaderComponent,
    PageSubHeaderComponent,
    GridRowButtonsComponent,
    ModalFooterButtonsComponent,
    SelectInputComponent,
    GroupSelectInputComponent,
    /**
     * Grids
     */
    UserGroupsGridComponent,
    GroupPermissionsGridComponent,
    PermissionsGridComponent,
    ContentTypesGridComponent,
    FontawesomesGridComponent,
    UsersGridComponent,
    UserModalComponent,
    GroupsGridComponent
];
export { CoreComponents };
//# sourceMappingURL=components.js.map