import { Component, Input, EventEmitter, Output, ViewChild } from '@angular/core';
export var CheckboxesInputComponent = (function () {
    function CheckboxesInputComponent() {
        this.focused = false;
        this.readonly = false;
        this.name = 'checkboxes';
        this.title = '';
        this.models = {};
        this.checkboxesTitles = {};
        this.modelsChange = new EventEmitter();
        this.values = {};
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
    }
    CheckboxesInputComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.errors.subscribe(function (data) {
            _this.errorsValue = data;
            var keys = Object.keys(data);
            if (keys[0] === _this.name) {
                _this.focus();
            }
        });
        this.info.subscribe(function (data) {
            _this.infoValue = data;
            var keys = Object.keys(data);
            if (keys[0] === _this.name) {
                _this.focus();
            }
        });
        this.init();
    };
    CheckboxesInputComponent.prototype.init = function () {
        var _this = this;
        this.values = this.models;
        setTimeout(function (out) {
            if (_this.focused === true) {
                _this.focus();
            }
        }, 700);
    };
    CheckboxesInputComponent.prototype.focus = function () {
        this.inputElement.nativeElement.focus();
    };
    CheckboxesInputComponent.prototype.updateModels = function () {
        var _this = this;
        setTimeout(function (out) {
            _this.models = _this.values;
            _this.modelsChange.emit(_this.models);
        }, 700);
    };
    CheckboxesInputComponent.prototype.keys = function (object) {
        return Object.keys(object);
    };
    CheckboxesInputComponent.decorators = [
        { type: Component, args: [{
                    selector: 'checkboxes-input',
                    template: "\n    <div class=\"form-group checkboxes-input\" [ngClass]=\"{'has-error':errorsValue && errorsValue[name]}\">\n      <label class=\"control-label\">{{title | translate}}</label>\n      <div class=\"form-control form-checkbox-controls\">\n        <label class=\"control-label checkbox-inline\" *ngFor=\"let key of keys(values)\" [hidden]=\"!checkboxesTitles[key]\">\n            <input type=\"checkbox\" [attr.id]=\"'input'+key\" [(ngModel)]=\"values[key]\" (change)=\"updateModels()\" [disabled]=\"readonly\" [ngModelOptions]=\"{standalone: true}\"> {{ checkboxesTitles[key] | translate }}\n        </label>\n      </div>\n      <span class=\"help-block\" *ngIf=\"errorsValue && errorsValue[name]\">{{errorsValue[name].join(', ')}}</span>\n    </div>\n  ",
                    styles: ["\n    .checkboxes-input {\n        .form-checkbox-controls{\n            border: 0px;\n            padding-right: 0px;\n            padding-left: 0px;\n            box-shadow: none;\n            background-color: transparent;\n            .checkbox-inline:first-child{\n            //    padding-left:0px;\n            }\n        }\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    CheckboxesInputComponent.ctorParameters = function () { return []; };
    CheckboxesInputComponent.propDecorators = {
        'inputElement': [{ type: ViewChild, args: ['inputElement',] },],
        'focused': [{ type: Input },],
        'readonly': [{ type: Input },],
        'name': [{ type: Input },],
        'title': [{ type: Input },],
        'models': [{ type: Input },],
        'checkboxesTitles': [{ type: Input },],
        'modelsChange': [{ type: Output },],
        'errors': [{ type: Input },],
        'info': [{ type: Input },],
    };
    return CheckboxesInputComponent;
}());
//# sourceMappingURL=checkboxes-input.component.js.map