import { Component, Input, Output, EventEmitter } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
export var GridRowButtonsComponent = (function () {
    function GridRowButtonsComponent(translateService) {
        this.translateService = translateService;
        this.editIcon = 'fa fa-pencil-square-o';
        this.removeIcon = 'fa fa-remove';
        this.editIconColor = ''; // text-primary';
        this.removeIconColor = ''; // 'text-warning';
        this.onEdit = new EventEmitter();
        this.onRemove = new EventEmitter();
        this.showEdit = true;
        this.showRemove = true;
        if (this.editTitle === undefined) {
            this.editTitle = this.translateService.instant('Edit');
        }
        if (this.removeTitle === undefined) {
            this.removeTitle = this.translateService.instant('Remove');
        }
    }
    GridRowButtonsComponent.prototype.ngOnInit = function () {
    };
    GridRowButtonsComponent.prototype.edit = function () {
        this.onEdit.emit(true);
        return false;
    };
    GridRowButtonsComponent.prototype.remove = function () {
        this.onRemove.emit(true);
        return false;
    };
    GridRowButtonsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'grid-row-buttons',
                    template: "\n    <div [ngClass]=\"{'btn-group':showEdit && showRemove}\">\n      <button type=\"button\" class=\"btn btn-default btn-sm\" [attr.aria-label]=\"editTitle\" (click)=\"edit()\" *ngIf=\"showEdit\" tooltip=\"{{editTitle | translate}}\"\n        placement=\"left\" container=\"body\">\n    \t\t<span [ngClass]=\"[editIcon, editIconColor]\"></span>\n    \t</button>\n      <button type=\"button\" class=\"btn btn-default btn-sm\" [attr.aria-label]=\"removeTitle\" (click)=\"remove()\" *ngIf=\"showRemove\"\n        tooltip=\"{{removeTitle | translate}}\" placement=\"left\" container=\"body\">\n    \t\t<span [ngClass]=\"[removeIcon, removeIconColor]\"></span>\n    \t</button>\n    </div>\n  ",
                    styles: ["\n    .grid-row-buttons-header {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    GridRowButtonsComponent.ctorParameters = function () { return [
        { type: TranslateService, },
    ]; };
    GridRowButtonsComponent.propDecorators = {
        'editTitle': [{ type: Input },],
        'removeTitle': [{ type: Input },],
        'editIcon': [{ type: Input },],
        'removeIcon': [{ type: Input },],
        'editIconColor': [{ type: Input },],
        'removeIconColor': [{ type: Input },],
        'onEdit': [{ type: Output },],
        'onRemove': [{ type: Output },],
        'showEdit': [{ type: Input },],
        'showRemove': [{ type: Input },],
    };
    return GridRowButtonsComponent;
}());
//# sourceMappingURL=grid-row-buttons.component.js.map