import { Component, Input, EventEmitter, Output } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
export var GridSearchPanelComponent = (function () {
    function GridSearchPanelComponent(translateService) {
        this.translateService = translateService;
        this.searchTextChange = new EventEmitter();
        this.onSearch = new EventEmitter();
        if (this.searchTitle === undefined) {
            this.searchTitle = this.translateService.instant('Search');
        }
    }
    GridSearchPanelComponent.prototype.ngOnInit = function () { };
    Object.defineProperty(GridSearchPanelComponent.prototype, "searchTextValue", {
        get: function () {
            return this.searchText;
        },
        set: function (val) {
            this.searchText = val;
            this.searchTextChange.emit(this.searchText);
        },
        enumerable: true,
        configurable: true
    });
    GridSearchPanelComponent.prototype.search = function () {
        this.onSearch.emit(this.searchText);
    };
    GridSearchPanelComponent.decorators = [
        { type: Component, args: [{
                    selector: 'grid-search-panel',
                    template: "\n    <form (ngSubmit)=\"search()\" class=\"form-inline\">\n        <div class=\"input-group\">\n            <input type=\"text\" class=\"form-control\" id=\"inputSearchText\" name=\"inputSearchText\" placeholder=\"\" [(ngModel)]=\"searchTextValue\">\n            <span class=\"input-group-btn\">\n                <button (click)=\"search()\" class=\"btn btn-info\" type=\"button\">{{searchTitle | translate}}</button>\n            </span>\n        </div>\n    </form>\n  ",
                    styles: ["\n    .grid-search-panel {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    GridSearchPanelComponent.ctorParameters = function () { return [
        { type: TranslateService, },
    ]; };
    GridSearchPanelComponent.propDecorators = {
        'searchText': [{ type: Input },],
        'searchTextChange': [{ type: Output },],
        'searchTitle': [{ type: Input },],
        'onSearch': [{ type: Output },],
    };
    return GridSearchPanelComponent;
}());
//# sourceMappingURL=grid-search-panel.component.js.map