import { Component, EventEmitter, Output, Input } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
export var ModalFooterButtonsComponent = (function () {
    function ModalFooterButtonsComponent(translateService) {
        this.translateService = translateService;
        this.onClose = new EventEmitter();
        if (this.cancelTitle === undefined) {
            this.cancelTitle = this.translateService.instant('Cancel');
        }
    }
    ModalFooterButtonsComponent.prototype.ngOnInit = function () { };
    ModalFooterButtonsComponent.prototype.close = function () {
        this.onClose.emit(true);
        return false;
    };
    ModalFooterButtonsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'modal-footer-buttons',
                    template: "\n    <button type=\"button\" class=\"btn btn-default\" (click)=\"close()\">{{(readonly?'Close':cancelTitle) | translate}}</button>\n    <button type=\"submit\" class=\"btn btn-primary\" *ngIf=\"!readonly\">{{okTitle | translate}}</button>\n  ",
                    styles: ["\n    .modal-footer-buttons {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    ModalFooterButtonsComponent.ctorParameters = function () { return [
        { type: TranslateService, },
    ]; };
    ModalFooterButtonsComponent.propDecorators = {
        'cancelTitle': [{ type: Input },],
        'okTitle': [{ type: Input },],
        'readonly': [{ type: Input },],
        'onClose': [{ type: Output },],
    };
    return ModalFooterButtonsComponent;
}());
//# sourceMappingURL=modal-footer-buttons.component.js.map