import { Component, Input, EventEmitter, Output, ViewChild } from '@angular/core';
export var RadiosInputComponent = (function () {
    function RadiosInputComponent() {
        this.focused = false;
        this.readonly = false;
        this.name = 'radios';
        this.title = '';
        this.values = {};
        this.radiosTitles = {};
        this.modelChange = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
    }
    RadiosInputComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.errors.subscribe(function (data) {
            _this.errorsValue = data;
            var keys = Object.keys(data);
            if (keys[0] === _this.name) {
                _this.focus();
            }
        });
        this.info.subscribe(function (data) {
            _this.infoValue = data;
            var keys = Object.keys(data);
            if (keys[0] === _this.name) {
                _this.focus();
            }
        });
        this.init();
    };
    RadiosInputComponent.prototype.init = function () {
        var _this = this;
        if (this.model) {
            this.value = this.model;
        }
        else {
            this.value = this.values[this.keys(this.values)[0]];
        }
        setTimeout(function (out) {
            if (_this.focused === true) {
                _this.focus();
            }
        }, 700);
    };
    RadiosInputComponent.prototype.focus = function () {
        this.inputElement.nativeElement.focus();
    };
    RadiosInputComponent.prototype.keys = function (object) {
        return Object.keys(object);
    };
    RadiosInputComponent.prototype.updateModel = function () {
        var _this = this;
        setTimeout(function (out) {
            _this.model = _this.value;
            _this.modelChange.emit(_this.model);
        }, 700);
    };
    RadiosInputComponent.decorators = [
        { type: Component, args: [{
                    selector: 'radios-input',
                    template: "\n    <div class=\"form-group radios-input\" [ngClass]=\"{'has-error':errorsValue && errorsValue[name]}\">\n      <label class=\"control-label\">{{title | translate}}</label>\n      <div class=\"form-control form-radio-controls\">\n        <label class=\"control-label checkbox-inline\" *ngFor=\"let key of keys(values)\" [hidden]=\"!radiosTitles[key]\">\n            <input type=\"radio\" [attr.id]=\"'input'+key\" [(ngModel)]=\"value\" (change)=\"updateModel()\" [ngValue]=\"values[key]\" name=\"{{name}}\" [disabled]=\"readonly\"> {{ radiosTitles[key] | translate }}\n        </label>\n      </div>\n      <span class=\"help-block\" *ngIf=\"errorsValue && errorsValue[name]\">{{errorsValue[name].join(', ')}}</span>\n    </div>\n  ",
                    styles: ["\n    .radios-input {\n        .form-radio-controls{\n            border: 0px;\n            padding-right: 0px;\n            padding-left: 0px;\n            box-shadow: none;\n            background-color: transparent;\n            .checkbox-inline:first-child{\n            //    padding-left:0px;\n            }\n        }\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    RadiosInputComponent.ctorParameters = function () { return []; };
    RadiosInputComponent.propDecorators = {
        'inputElement': [{ type: ViewChild, args: ['inputElement',] },],
        'focused': [{ type: Input },],
        'readonly': [{ type: Input },],
        'name': [{ type: Input },],
        'title': [{ type: Input },],
        'values': [{ type: Input },],
        'model': [{ type: Input },],
        'radiosTitles': [{ type: Input },],
        'modelChange': [{ type: Output },],
        'errors': [{ type: Input },],
        'info': [{ type: Input },],
    };
    return RadiosInputComponent;
}());
//# sourceMappingURL=radios-input.component.js.map