import { Component, Input, EventEmitter, Output, ViewChild } from '@angular/core';
export var TextInputComponent = (function () {
    function TextInputComponent() {
        this.focused = false;
        this.type = 'text';
        this.readonly = false;
        this.name = 'text';
        this.placeholder = '';
        this.title = '';
        this.model = '';
        this.modelChange = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
    }
    TextInputComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.errors.subscribe(function (data) {
            _this.errorsValue = data;
            var keys = Object.keys(data);
            if (keys[0] === _this.name) {
                _this.focus();
            }
        });
        this.info.subscribe(function (data) {
            _this.infoValue = data;
            var keys = Object.keys(data);
            if (keys[0] === _this.name) {
                _this.focus();
            }
        });
    };
    TextInputComponent.prototype.init = function () {
        var _this = this;
        setTimeout(function (out) {
            if (_this.focused === true) {
                _this.focus();
            }
        }, 700);
    };
    TextInputComponent.prototype.focus = function () {
        this.inputElement.nativeElement.focus();
    };
    Object.defineProperty(TextInputComponent.prototype, "value", {
        get: function () {
            return this.model;
        },
        set: function (val) {
            this.model = val;
            this.modelChange.emit(this.model);
        },
        enumerable: true,
        configurable: true
    });
    TextInputComponent.decorators = [
        { type: Component, args: [{
                    selector: 'text-input',
                    template: "\n    <div class=\"form-group\" [ngClass]=\"{'has-error':errorsValue && errorsValue[name]}\">\n      <label class=\"control-label\" [attr.for]=\"'input'+name\">{{title | translate}}</label>\n      <input [attr.type]=\"type\" class=\"form-control\" [attr.id]=\"'input'+name\" [attr.name]=\"'input'+name\" [attr.placeholder]=\"placeholder\"\n        [(ngModel)]=\"value\" [readonly]=\"readonly\" #inputElement>\n      <span class=\"help-block\" *ngIf=\"errorsValue && errorsValue[name]\">{{errorsValue[name].join(', ')}}</span>\n    </div>\n  ",
                    styles: ["\n    .text-input {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    TextInputComponent.ctorParameters = function () { return []; };
    TextInputComponent.propDecorators = {
        'inputElement': [{ type: ViewChild, args: ['inputElement',] },],
        'focused': [{ type: Input },],
        'type': [{ type: Input },],
        'readonly': [{ type: Input },],
        'name': [{ type: Input },],
        'placeholder': [{ type: Input },],
        'title': [{ type: Input },],
        'model': [{ type: Input },],
        'modelChange': [{ type: Output },],
        'errors': [{ type: Input },],
        'info': [{ type: Input },],
    };
    return TextInputComponent;
}());
//# sourceMappingURL=text-input.component.js.map