import { Component, EventEmitter, Input, Output, ViewChild } from '@angular/core';
import { ContentType } from './../../../shared/models/content-type.model';
export var ContentTypeModalComponent = (function () {
    function ContentTypeModalComponent() {
        this.text = '';
        this.class = '';
        this.readonly = false;
        this.hideOnClose = true;
        this.account = null;
        this.title = '';
        this.item = new ContentType();
        this.titles = ContentType.titles;
        this.onClose = new EventEmitter();
        this.onSave = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
    }
    ;
    ContentTypeModalComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.modal.onHidden.subscribe(function () { return _this.close(); });
        this.modal.onShown.subscribe(function () { return _this.focus(); });
    };
    ContentTypeModalComponent.prototype.focus = function () {
        this.focusElement.focus();
    };
    ContentTypeModalComponent.prototype.close = function () {
        if (this.hideOnClose && this.modal.isShown) {
            this.modal.hide();
        }
        this.onClose.emit(this);
        return false;
    };
    ContentTypeModalComponent.prototype.save = function () {
        this.onSave.emit(this);
        return false;
    };
    ContentTypeModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'content-type-modal',
                    template: "\n    <div bsModal #modal=\"bs-modal\" class=\"modal fade content-type-modal\" [ngClass]=\"[class]\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"mySmallModalLabel\"\n      aria-hidden=\"true\">\n      <div class=\"modal-dialog modal-md\">\n        <div class=\"modal-content\">\n          <div class=\"modal-header\">\n            <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"close()\">\n                        <span aria-hidden=\"true\">&times;</span>\n                    </button>\n            <h4 class=\"modal-title\">{{title | translate}}</h4>\n          </div>\n          <form (ngSubmit)=\"save()\">\n            <div class=\"modal-body\">\n              <text-input [errors]=\"errors\" [info]=\"info\" name=\"model\" [(model)]=\"item.model\" [title]=\"titles.model\" [readonly]=\"readonly\" [focused]=\"true\" #focusElement></text-input>\n    </div>\n            <div class=\"modal-footer\">\n              <modal-footer-buttons (onClose)=\"close()\" [readonly]=\"readonly\" [okTitle]=\"text\"></modal-footer-buttons>\n            </div>\n          </form>\n        </div>\n      </div>\n    </div>\n  ",
                    styles: ["\n    .content-type-modal {\n        .field-role{\n            display: block;\n        }\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    ContentTypeModalComponent.ctorParameters = function () { return []; };
    ContentTypeModalComponent.propDecorators = {
        'modal': [{ type: ViewChild, args: ['modal',] },],
        'focusElement': [{ type: ViewChild, args: ['focusElement',] },],
        'text': [{ type: Input },],
        'class': [{ type: Input },],
        'readonly': [{ type: Input },],
        'hideOnClose': [{ type: Input },],
        'account': [{ type: Input },],
        'title': [{ type: Input },],
        'item': [{ type: Input },],
        'titles': [{ type: Input },],
        'onClose': [{ type: Output },],
        'onSave': [{ type: Output },],
    };
    return ContentTypeModalComponent;
}());
//# sourceMappingURL=content-type-modal.component.js.map