var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { ContentType } from '../../../shared/models/content-type.model';
import { Component, Input, EventEmitter, Output, ViewChild, ComponentFactoryResolver } from '@angular/core';
import { ContentTypesListModalComponent } from '../content-types-list-modal/content-types-list-modal.component';
import { AppService } from './../../../shared/app.service';
import { AccountService } from './../../../shared/account.service';
import { ContentTypesService } from '../../../shared/content-types.service';
import { ResourceSelectInputComponent } from '../../resources-grid/resource-select-input/resource-select-input.component';
import { TranslateService } from '@ngx-translate/core';
export var ContentTypeSelectInputComponent = (function (_super) {
    __extends(ContentTypeSelectInputComponent, _super);
    function ContentTypeSelectInputComponent(app, accountService, contentTypesService, resolver, translateService) {
        _super.call(this);
        this.app = app;
        this.accountService = accountService;
        this.contentTypesService = contentTypesService;
        this.resolver = resolver;
        this.translateService = translateService;
        this.lookupIcon = 'fa fa-search';
        this.focused = false;
        this.readonly = false;
        this.inputReadonly = true;
        this.name = 'contentType';
        this.placeholder = '';
        this.title = '';
        this.model = new ContentType();
        this.modelChange = new EventEmitter();
        this.modelAsString = '';
        this.modelAsStringChange = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
        if (this.lookupTooltip === undefined) {
            this.lookupTooltip = this.translateService.instant('Select');
        }
        this.cachedResourcesService = contentTypesService.createCache();
    }
    Object.defineProperty(ContentTypeSelectInputComponent.prototype, "account", {
        get: function () {
            return this.accountService.account;
        },
        enumerable: true,
        configurable: true
    });
    ContentTypeSelectInputComponent.prototype.onLookup = function () {
        var _this = this;
        var itemModal = this.app.modals(this.resolver).create(ContentTypesListModalComponent);
        itemModal.account = this.account;
        itemModal.text = this.translateService.instant('Select');
        itemModal.title = this.translateService.instant('Content types');
        itemModal.onSave.subscribe(function ($event) {
            _this.value = itemModal.item;
            if (_this.inputElement) {
                _this.inputElement.value = _this.value.pk;
            }
            if (_this.inputReadonly === false) {
                _this.valueAsString = '';
            }
            itemModal.modal.hide();
        });
        itemModal.onClose.subscribe(function () { return _this.focus(); });
        itemModal.item = this.value;
        itemModal.modal.show();
    };
    ContentTypeSelectInputComponent.decorators = [
        { type: Component, args: [{
                    selector: 'content-type-select-input',
                    template: "\n    <div class=\"form-group\" [ngClass]=\"{'has-error':errorsValue && errorsValue[name]}\">\n      <label class=\"control-label\" [attr.for]=\"'input'+name\">{{title | translate}}</label>\n      <div [ngClass]=\"{'input-group':!readonly}\">\n        <input *ngIf=\"statusListMessage\" [(ngModel)]=\"statusListMessage\" class=\"form-control\" disabled/>\n        <select-input *ngIf=\"!statusListMessage\" [(model)]=\"value\" [title]=\"title\" titleField=\"model\" [readonly]=\"readonly\" [items]=\"items\"\n          [inFormGroup]=\"false\" #inputElement></select-input>\n          <span class=\"input-group-btn\" *ngIf=\"!readonly\">\n          <button class=\"btn btn-success\" type=\"button\" (click)=\"onLookup()\"\n                  tooltip=\"{{lookupTooltip}}\" placement=\"left\" container=\"body\">\n              <span [ngClass]=\"[lookupIcon]\"></span>\n          </button>\n          </span>\n      </div>\n      <span class=\"help-block\" *ngIf=\"errorsValue && errorsValue[name]\">{{errorsValue[name].join(', ')}}</span>\n    </div>\n  ",
                    styles: ["\n    .content-type-select-input {\n\n    }\n  "],
                    entryComponents: [ContentTypesListModalComponent]
                },] },
    ];
    /** @nocollapse */
    ContentTypeSelectInputComponent.ctorParameters = function () { return [
        { type: AppService, },
        { type: AccountService, },
        { type: ContentTypesService, },
        { type: ComponentFactoryResolver, },
        { type: TranslateService, },
    ]; };
    ContentTypeSelectInputComponent.propDecorators = {
        'inputElement': [{ type: ViewChild, args: ['inputElement',] },],
        'lookupTooltip': [{ type: Input },],
        'lookupIcon': [{ type: Input },],
        'focused': [{ type: Input },],
        'readonly': [{ type: Input },],
        'inputReadonly': [{ type: Input },],
        'name': [{ type: Input },],
        'placeholder': [{ type: Input },],
        'title': [{ type: Input },],
        'model': [{ type: Input },],
        'modelChange': [{ type: Output },],
        'modelAsString': [{ type: Input },],
        'modelAsStringChange': [{ type: Output },],
        'errors': [{ type: Input },],
        'info': [{ type: Input },],
    };
    return ContentTypeSelectInputComponent;
}(ResourceSelectInputComponent));
//# sourceMappingURL=content-type-select-input.component.js.map