import { User } from '../../shared/models/user.model';
import { EventEmitter, ComponentFactoryResolver, ElementRef } from '@angular/core';
import { ContentType } from './../../shared/models/content-type.model';
import { ContentTypeModalComponent } from './content-type-modal/content-type-modal.component';
import { ConfirmModalComponent } from '../../modals/confirm-modal/confirm-modal.component';
import { ContentTypesService } from '../../shared/content-types.service';
import { AppService } from '../../shared/app.service';
import { AccountService } from '../../shared/account.service';
import { ResourcesGridComponent } from '../resources-grid/resources-grid.component';
import { TranslateService } from '@ngx-translate/core';
export declare class ContentTypesGridComponent extends ResourcesGridComponent {
    private contentTypesService;
    private accountService;
    private app;
    private resolver;
    private translateService;
    loadAll?: boolean;
    onSelectItems: EventEmitter<ContentType[] | any>;
    focusElement: ElementRef;
    titles: any;
    items: ContentType[];
    searchText: string;
    selectedItems: ContentType[];
    cachedResourcesService: ContentTypesService;
    constructor(contentTypesService: ContentTypesService, accountService: AccountService, app: AppService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    readonly readonly: boolean;
    showCreateModal(): void;
    showEditModal(item: ContentType): void;
    showRemoveModal(item: ContentType): void;
    save(itemModal: ContentTypeModalComponent): void;
    remove(itemModal: ConfirmModalComponent): void;
}
