import { Component, EventEmitter, Input, Output, ViewChild } from '@angular/core';
import { ContentType } from './../../../shared/models/content-type.model';
export var ContentTypesListModalComponent = (function () {
    function ContentTypesListModalComponent() {
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
        if (this.hideOnClose === undefined) {
            this.hideOnClose = true;
        }
        this.onClose = new EventEmitter();
        this.item = new ContentType();
        this.titles = ContentType.titles;
        this.onSave = new EventEmitter();
    }
    ContentTypesListModalComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.modal.onHidden.subscribe(function () { return _this.close(); });
        this.modal.onShown.subscribe(function () { return _this.focus(); });
    };
    ContentTypesListModalComponent.prototype.focus = function () {
        this.contentTypes.focus();
    };
    ContentTypesListModalComponent.prototype.selectContentType = function (items) {
        this.item = items[0];
        this.items = items;
    };
    ContentTypesListModalComponent.prototype.close = function () {
        if (this.hideOnClose && this.modal.isShown) {
            this.modal.hide();
        }
        this.onClose.emit(this);
        return false;
    };
    ContentTypesListModalComponent.prototype.select = function () {
        this.onSave.emit(this);
        return false;
    };
    ContentTypesListModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'content-types-list-modal',
                    template: "\n    <div bsModal #modal=\"bs-modal\" class=\"modal fade content-type-modal\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"mySmallModalLabel\"\n      aria-hidden=\"true\">\n      <div class=\"modal-dialog modal-lg\">\n        <div class=\"modal-content\">\n          <div class=\"modal-header\">\n            <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"close()\">\n                        <span aria-hidden=\"true\">&times;</span>\n                    </button>\n            <h4 class=\"modal-title\">{{title | translate}}</h4>\n          </div>\n          <div class=\"modal-body\">\n            <content-types-grid #contentTypes (onSelectItems)=\"selectContentType($event)\"></content-types-grid>\n          </div>\n          <div class=\"modal-footer\">\n            <button type=\"button\" class=\"btn btn-default\" (click)=\"close()\" translate>Close</button>\n            <button type=\"button\" class=\"btn btn-success\" (click)=\"select()\">{{text}}</button>\n          </div>\n        </div>\n      </div>\n    </div>\n  ",
                    styles: ["\n    .content-types-list-modal {\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    ContentTypesListModalComponent.ctorParameters = function () { return []; };
    ContentTypesListModalComponent.propDecorators = {
        'text': [{ type: Input },],
        'class': [{ type: Input },],
        'readonly': [{ type: Input },],
        'modal': [{ type: ViewChild, args: ['modal',] },],
        'focusElement': [{ type: ViewChild, args: ['focusElement',] },],
        'onClose': [{ type: Output },],
        'hideOnClose': [{ type: Input },],
        'contentTypes': [{ type: ViewChild, args: ['contentTypes',] },],
        'account': [{ type: Input },],
        'title': [{ type: Input },],
        'onSave': [{ type: Output },],
    };
    return ContentTypesListModalComponent;
}());
//# sourceMappingURL=content-types-list-modal.component.js.map