var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Fontawesome } from '../../../shared/models/fontawesome.model';
import { Component, Input, EventEmitter, Output, ViewChild, ComponentFactoryResolver } from '@angular/core';
import { FontawesomesListModalComponent } from '../fontawesomes-list-modal/fontawesomes-list-modal.component';
import { AppService } from '../../../shared/app.service';
import { AccountService } from '../../../shared/account.service';
import { FontawesomesService } from '../../../shared/fontawesomes.service';
import { ResourceInputComponent } from '../../resources-grid/resource-input/resource-input.component';
import { TranslateService } from '@ngx-translate/core';
export var FontawesomeInputComponent = (function (_super) {
    __extends(FontawesomeInputComponent, _super);
    function FontawesomeInputComponent(app, accountService, fontawesomesService, resolver, translateService) {
        _super.call(this);
        this.app = app;
        this.accountService = accountService;
        this.fontawesomesService = fontawesomesService;
        this.resolver = resolver;
        this.translateService = translateService;
        this.lookupIcon = 'fa fa-search';
        this.focused = false;
        this.readonly = false;
        this.inputReadonly = true;
        this.name = 'fontawesome';
        this.placeholder = '';
        this.title = '';
        this.model = new Fontawesome();
        this.modelChange = new EventEmitter();
        this.modelAsString = '';
        this.modelAsStringChange = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
        if (this.lookupTooltip === undefined) {
            this.lookupTooltip = this.translateService.instant('Select');
        }
        this.cachedResourcesService = fontawesomesService.createCache();
    }
    Object.defineProperty(FontawesomeInputComponent.prototype, "account", {
        get: function () {
            return this.accountService.account;
        },
        enumerable: true,
        configurable: true
    });
    FontawesomeInputComponent.prototype.onLookup = function () {
        var _this = this;
        var itemModal = this.app.modals(this.resolver).create(FontawesomesListModalComponent);
        itemModal.account = this.account;
        itemModal.text = this.translateService.instant('Select');
        itemModal.title = this.translateService.instant('Fontawesomes');
        itemModal.onSave.subscribe(function ($event) {
            _this.value = itemModal.item;
            if (_this.inputReadonly === false) {
                _this.valueAsString = '';
            }
            itemModal.modal.hide();
        });
        itemModal.onClose.subscribe(function () { return _this.focus(); });
        itemModal.item = this.value;
        itemModal.modal.show();
    };
    FontawesomeInputComponent.decorators = [
        { type: Component, args: [{
                    selector: 'fontawesome-input',
                    template: "\n    <div class=\"form-group\" [ngClass]=\"{'has-error':errorsValue && errorsValue[name]}\">\n      <label class=\"control-label\" [attr.for]=\"'input'+name\">{{title | translate}}</label>\n      <div [ngClass]=\"{'input-group':!readonly}\">\n        <input [attr.type]=\"type\" class=\"form-control\" [attr.id]=\"'input'+name\" [attr.name]=\"'input'+name\" [attr.placeholder]=\"placeholder\"\n          [(ngModel)]=\"valueAsString\" [readonly]=\"readonly || inputReadonly\" #inputElement>\n        <span class=\"input-group-btn\" *ngIf=\"!readonly\">\n          <button class=\"btn btn-success\" type=\"button\" (click)=\"onLookup()\"\n                  tooltip=\"{{lookupTooltip}}\" placement=\"left\" container=\"body\">\n              <span [ngClass]=\"[lookupIcon]\"></span>\n        </button>\n        </span>\n      </div>\n      <span class=\"help-block\" *ngIf=\"errorsValue && errorsValue[name]\">{{errorsValue[name].join(', ')}}</span>\n    </div>\n  ",
                    styles: ["\n    .fontawesome-input {\n\n    }\n  "],
                    entryComponents: [FontawesomesListModalComponent]
                },] },
    ];
    /** @nocollapse */
    FontawesomeInputComponent.ctorParameters = function () { return [
        { type: AppService, },
        { type: AccountService, },
        { type: FontawesomesService, },
        { type: ComponentFactoryResolver, },
        { type: TranslateService, },
    ]; };
    FontawesomeInputComponent.propDecorators = {
        'inputElement': [{ type: ViewChild, args: ['inputElement',] },],
        'lookupTooltip': [{ type: Input },],
        'lookupIcon': [{ type: Input },],
        'focused': [{ type: Input },],
        'readonly': [{ type: Input },],
        'inputReadonly': [{ type: Input },],
        'name': [{ type: Input },],
        'placeholder': [{ type: Input },],
        'title': [{ type: Input },],
        'model': [{ type: Input },],
        'modelChange': [{ type: Output },],
        'modelAsString': [{ type: Input },],
        'modelAsStringChange': [{ type: Output },],
        'errors': [{ type: Input },],
        'info': [{ type: Input },],
    };
    return FontawesomeInputComponent;
}(ResourceInputComponent));
//# sourceMappingURL=fontawesome-input.component.js.map