import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import { User } from '../..//shared/models/user.model';
import { EventEmitter, ComponentFactoryResolver, ElementRef } from '@angular/core';
import { Fontawesome } from './../../shared/models/fontawesome.model';
import { FontawesomeModalComponent } from './fontawesome-modal/fontawesome-modal.component';
import { ConfirmModalComponent } from '../../modals/confirm-modal/confirm-modal.component';
import { FontawesomesService } from '../../shared/fontawesomes.service';
import { AppService } from '../../shared/app.service';
import { AccountService } from '../../shared/account.service';
import { ResourcesGridComponent } from '../resources-grid/resources-grid.component';
import { TranslateService } from '@ngx-translate/core';
export declare class FontawesomesGridComponent extends ResourcesGridComponent {
    private sanitizer;
    private fontawesomesService;
    private accountService;
    private app;
    private resolver;
    private translateService;
    loadAll?: boolean;
    onSelectItems: EventEmitter<Fontawesome[] | any>;
    focusElement: ElementRef;
    titles: any;
    items: Fontawesome[];
    searchText: string;
    selectedItems: Fontawesome[];
    cachedResourcesService: FontawesomesService;
    constructor(sanitizer: DomSanitizer, fontawesomesService: FontawesomesService, accountService: AccountService, app: AppService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    safeHtml(html: string): SafeHtml;
    readonly account: User;
    readonly readonly: boolean;
    showCreateModal(): void;
    showEditModal(item: Fontawesome): void;
    showRemoveModal(item: Fontawesome): void;
    save(itemModal: FontawesomeModalComponent): void;
    remove(itemModal: ConfirmModalComponent): void;
}
