import { Component, EventEmitter, Input, Output, ViewChild } from '@angular/core';
import { Fontawesome } from './../../../shared/models/fontawesome.model';
export var FontawesomesListModalComponent = (function () {
    function FontawesomesListModalComponent() {
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
        if (this.hideOnClose === undefined) {
            this.hideOnClose = true;
        }
        this.onClose = new EventEmitter();
        this.item = new Fontawesome();
        this.titles = Fontawesome.titles;
        this.onSave = new EventEmitter();
    }
    FontawesomesListModalComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.modal.onHidden.subscribe(function () { return _this.close(); });
        this.modal.onShown.subscribe(function () { return _this.focus(); });
    };
    FontawesomesListModalComponent.prototype.focus = function () {
        this.fontawesomes.focus();
    };
    FontawesomesListModalComponent.prototype.selectFontawesome = function (items) {
        this.item = items[0];
        this.items = items;
    };
    FontawesomesListModalComponent.prototype.close = function () {
        if (this.hideOnClose && this.modal.isShown) {
            this.modal.hide();
        }
        this.onClose.emit(this);
        return false;
    };
    FontawesomesListModalComponent.prototype.select = function () {
        this.onSave.emit(this);
        return false;
    };
    FontawesomesListModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'fontawesomes-list-modal',
                    template: "\n    <div bsModal #modal=\"bs-modal\" class=\"modal fade fontawesome-modal\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"mySmallModalLabel\"\n      aria-hidden=\"true\">\n      <div class=\"modal-dialog modal-md\">\n        <div class=\"modal-content\">\n          <div class=\"modal-header\">\n            <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"close()\">\n                        <span aria-hidden=\"true\">&times;</span>\n                    </button>\n            <h4 class=\"modal-title\">{{title | translate}}</h4>\n          </div>\n          <div class=\"modal-body\">\n            <fontawesomes-grid #fontawesomes (onSelectItems)=\"selectFontawesome($event)\"></fontawesomes-grid>\n          </div>\n          <div class=\"modal-footer\">\n            <button type=\"button\" class=\"btn btn-default\" (click)=\"close()\" translate>Close</button>\n            <button type=\"button\" class=\"btn btn-success\" (click)=\"select()\">{{text}}</button>\n          </div>\n        </div>\n      </div>\n    </div>\n  ",
                    styles: ["\n    .fontawesomes-list-modal {\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    FontawesomesListModalComponent.ctorParameters = function () { return []; };
    FontawesomesListModalComponent.propDecorators = {
        'text': [{ type: Input },],
        'class': [{ type: Input },],
        'readonly': [{ type: Input },],
        'modal': [{ type: ViewChild, args: ['modal',] },],
        'focusElement': [{ type: ViewChild, args: ['focusElement',] },],
        'onClose': [{ type: Output },],
        'hideOnClose': [{ type: Input },],
        'fontawesomes': [{ type: ViewChild, args: ['fontawesomes',] },],
        'account': [{ type: Input },],
        'title': [{ type: Input },],
        'onSave': [{ type: Output },],
    };
    return FontawesomesListModalComponent;
}());
//# sourceMappingURL=fontawesomes-list-modal.component.js.map