import { User } from '../../shared/models/user.model';
import { EventEmitter, ComponentFactoryResolver, ElementRef } from '@angular/core';
import { GroupPermission } from './../../shared/models/group-permission.model';
import { ConfirmModalComponent } from '../../modals/confirm-modal/confirm-modal.component';
import { GroupPermissionsService } from '../../shared/group-permissions.service';
import { AppService } from '../../shared/app.service';
import { AccountService } from '../../shared/account.service';
import { PermissionsListModalComponent } from '../permissions-grid/permissions-list-modal/permissions-list-modal.component';
import { Group } from '../../shared/models/group.model';
import { PermissionModalComponent } from '../permissions-grid/permission-modal/permission-modal.component';
import { PermissionsService } from '../../shared/permissions.service';
import { ResourcesGridComponent } from '../resources-grid/resources-grid.component';
import { TranslateService } from '@ngx-translate/core';
export declare class GroupPermissionsGridComponent extends ResourcesGridComponent {
    private groupPermissionsService;
    private permissionsService;
    private accountService;
    private app;
    private resolver;
    private translateService;
    loadAll?: boolean;
    onSelectItems: EventEmitter<GroupPermission[] | any>;
    focusElement: ElementRef;
    group: Group;
    readonly: boolean;
    titles: any;
    groupTitles: any;
    permissionTitles: any;
    items: GroupPermission[];
    searchText: string;
    selectedItems: GroupPermission[];
    cachedResourcesService: GroupPermissionsService;
    constructor(groupPermissionsService: GroupPermissionsService, permissionsService: PermissionsService, accountService: AccountService, app: AppService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    showCreateModal(): void;
    showEditModal(item: GroupPermission): void;
    savePermission(itemModal: PermissionModalComponent): void;
    showRemoveModal(item: GroupPermission): void;
    save(itemModal: PermissionsListModalComponent): void;
    remove(itemModal: ConfirmModalComponent): void;
}
