var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Group } from '../../../shared/models/group.model';
import { Component, Input, EventEmitter, Output, ViewChild, ComponentFactoryResolver } from '@angular/core';
import { GroupsListModalComponent } from '../groups-list-modal/groups-list-modal.component';
import { AppService } from '../../../shared/app.service';
import { AccountService } from '../../../shared/account.service';
import { GroupsService } from '../../../shared/groups.service';
import { ResourceSelectInputComponent } from '../../resources-grid/resource-select-input/resource-select-input.component';
import { TranslateService } from '@ngx-translate/core';
export var GroupSelectInputComponent = (function (_super) {
    __extends(GroupSelectInputComponent, _super);
    function GroupSelectInputComponent(app, accountService, groupsService, resolver, translateService) {
        _super.call(this);
        this.app = app;
        this.accountService = accountService;
        this.groupsService = groupsService;
        this.resolver = resolver;
        this.translateService = translateService;
        this.lookupIcon = 'fa fa-search';
        this.focused = false;
        this.readonly = false;
        this.inputReadonly = true;
        this.name = 'group';
        this.placeholder = '';
        this.title = '';
        this.model = new Group();
        this.modelChange = new EventEmitter();
        this.modelAsString = '';
        this.modelAsStringChange = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
        if (this.lookupTooltip === undefined) {
            this.lookupTooltip = this.translateService.instant('Select');
        }
        this.cachedResourcesService = groupsService.createCache();
    }
    Object.defineProperty(GroupSelectInputComponent.prototype, "account", {
        get: function () {
            return this.accountService.account;
        },
        enumerable: true,
        configurable: true
    });
    GroupSelectInputComponent.prototype.onLookup = function () {
        var _this = this;
        var itemModal = this.app.modals(this.resolver).create(GroupsListModalComponent);
        itemModal.account = this.account;
        itemModal.text = this.translateService.instant('Select');
        itemModal.title = this.translateService.instant('Groups');
        itemModal.onSave.subscribe(function ($event) {
            _this.value = itemModal.item;
            if (_this.inputElement) {
                _this.inputElement.value = _this.value.pk;
            }
            if (_this.inputReadonly === false) {
                _this.valueAsString = '';
            }
            itemModal.modal.hide();
        });
        itemModal.onClose.subscribe(function () { return _this.focus(); });
        itemModal.item = this.value;
        itemModal.modal.show();
    };
    GroupSelectInputComponent.decorators = [
        { type: Component, args: [{
                    selector: 'group-select-input',
                    template: "\n    <div class=\"form-group\" [ngClass]=\"{'has-error':errorsValue && errorsValue[name]}\">\n      <label class=\"control-label\" [attr.for]=\"'input'+name\">{{title | translate}}</label>\n      <div [ngClass]=\"{'input-group':!readonly}\">\n        <input *ngIf=\"statusListMessage\" [(ngModel)]=\"statusListMessage\" class=\"form-control\" disabled/>\n        <select-input *ngIf=\"!statusListMessage\" [(model)]=\"value\" [title]=\"title\" [readonly]=\"readonly\" [items]=\"items\" [inFormGroup]=\"false\"\n          #inputElement></select-input>\n        <span class=\"input-group-btn\" *ngIf=\"!readonly\">\n          <button class=\"btn btn-success\" type=\"button\" (click)=\"onLookup()\"\n                  tooltip=\"{{lookupTooltip}}\" placement=\"left\" container=\"body\">\n              <span [ngClass]=\"[lookupIcon]\"></span>\n        </button>\n        </span>\n      </div>\n      <span class=\"help-block\" *ngIf=\"errorsValue && errorsValue[name]\">{{errorsValue[name].join(', ')}}</span>\n    </div>\n  ",
                    styles: ["\n    .group-select-input {\n\n    }\n  "],
                    entryComponents: [GroupsListModalComponent]
                },] },
    ];
    /** @nocollapse */
    GroupSelectInputComponent.ctorParameters = function () { return [
        { type: AppService, },
        { type: AccountService, },
        { type: GroupsService, },
        { type: ComponentFactoryResolver, },
        { type: TranslateService, },
    ]; };
    GroupSelectInputComponent.propDecorators = {
        'inputElement': [{ type: ViewChild, args: ['inputElement',] },],
        'lookupTooltip': [{ type: Input },],
        'lookupIcon': [{ type: Input },],
        'focused': [{ type: Input },],
        'readonly': [{ type: Input },],
        'inputReadonly': [{ type: Input },],
        'name': [{ type: Input },],
        'placeholder': [{ type: Input },],
        'title': [{ type: Input },],
        'model': [{ type: Input },],
        'modelChange': [{ type: Output },],
        'modelAsString': [{ type: Input },],
        'modelAsStringChange': [{ type: Output },],
        'errors': [{ type: Input },],
        'info': [{ type: Input },],
    };
    return GroupSelectInputComponent;
}(ResourceSelectInputComponent));
//# sourceMappingURL=group-select-input.component.js.map