import { User } from '../../shared/models/user.model';
import { EventEmitter, ComponentFactoryResolver, ElementRef } from '@angular/core';
import { Group } from './../../shared/models/group.model';
import { GroupModalComponent } from './group-modal/group-modal.component';
import { ConfirmModalComponent } from '../../modals/confirm-modal/confirm-modal.component';
import { GroupsService } from '../../shared/groups.service';
import { AppService } from '../../shared/app.service';
import { AccountService } from '../../shared/account.service';
import { ResourcesGridComponent } from '../resources-grid/resources-grid.component';
import { TranslateService } from '@ngx-translate/core';
export declare class GroupsGridComponent extends ResourcesGridComponent {
    private groupsService;
    private accountService;
    private app;
    private resolver;
    private translateService;
    loadAll?: boolean;
    onSelectItems: EventEmitter<Group[] | any>;
    focusElement: ElementRef;
    titles: any;
    items: Group[];
    searchText: string;
    selectedItems: Group[];
    cachedResourcesService: GroupsService;
    constructor(groupsService: GroupsService, accountService: AccountService, app: AppService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    readonly readonly: boolean;
    showCreateModal(): void;
    showEditModal(item: Group): void;
    showRemoveModal(item: Group): void;
    save(itemModal: GroupModalComponent): void;
    remove(itemModal: ConfirmModalComponent): void;
}
