import { Component, EventEmitter, Input, Output, ViewChild } from '@angular/core';
import { Group } from '../../../shared/models/group.model';
export var GroupsListModalComponent = (function () {
    function GroupsListModalComponent() {
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
        if (this.hideOnClose === undefined) {
            this.hideOnClose = true;
        }
        this.onClose = new EventEmitter();
        this.item = new Group();
        this.titles = Group.titles;
        this.onSave = new EventEmitter();
    }
    GroupsListModalComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.modal.onHidden.subscribe(function () { return _this.close(); });
        this.modal.onShown.subscribe(function () { return _this.focus(); });
    };
    GroupsListModalComponent.prototype.focus = function () {
        this.groups.focus();
    };
    GroupsListModalComponent.prototype.selectGroup = function (items) {
        this.item = items[0];
        this.items = items;
    };
    GroupsListModalComponent.prototype.close = function () {
        if (this.hideOnClose && this.modal.isShown) {
            this.modal.hide();
        }
        this.onClose.emit(this);
        return false;
    };
    GroupsListModalComponent.prototype.select = function () {
        this.onSave.emit(this);
        return false;
    };
    GroupsListModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'groups-list-modal',
                    template: "\n    <div bsModal #modal=\"bs-modal\" class=\"modal fade group-modal\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"mySmallModalLabel\"\n      aria-hidden=\"true\">\n      <div class=\"modal-dialog modal-lg\">\n        <div class=\"modal-content\">\n          <div class=\"modal-header\">\n            <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"close()\">\n                        <span aria-hidden=\"true\">&times;</span>\n                    </button>\n            <h4 class=\"modal-title\">{{title | translate}}</h4>\n          </div>\n          <div class=\"modal-body\">\n            <groups-grid #groups (onSelectItems)=\"selectGroup($event)\"></groups-grid>\n          </div>\n          <div class=\"modal-footer\">\n            <button type=\"button\" class=\"btn btn-default\" (click)=\"close()\" translate>Close</button>\n            <button type=\"button\" class=\"btn btn-success\" (click)=\"select()\">{{text}}</button>\n          </div>\n        </div>\n      </div>\n    </div>\n  ",
                    styles: ["\n    .groups-list-modal {\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    GroupsListModalComponent.ctorParameters = function () { return []; };
    GroupsListModalComponent.propDecorators = {
        'text': [{ type: Input },],
        'class': [{ type: Input },],
        'readonly': [{ type: Input },],
        'modal': [{ type: ViewChild, args: ['modal',] },],
        'focusElement': [{ type: ViewChild, args: ['focusElement',] },],
        'onClose': [{ type: Output },],
        'hideOnClose': [{ type: Input },],
        'groups': [{ type: ViewChild, args: ['groups',] },],
        'account': [{ type: Input },],
        'title': [{ type: Input },],
        'onSave': [{ type: Output },],
    };
    return GroupsListModalComponent;
}());
//# sourceMappingURL=groups-list-modal.component.js.map