import { Component, EventEmitter, Input, Output, ViewChild } from '@angular/core';
import { Permission } from './../../../shared/models/permission.model';
export var PermissionModalComponent = (function () {
    function PermissionModalComponent() {
        this.text = '';
        this.class = '';
        this.readonly = false;
        this.hideOnClose = true;
        this.account = null;
        this.title = '';
        this.item = new Permission();
        this.titles = Permission.titles;
        this.onClose = new EventEmitter();
        this.onSave = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
    }
    ;
    PermissionModalComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.modal.onHidden.subscribe(function () { return _this.close(); });
        this.modal.onShown.subscribe(function () { return _this.focus(); });
    };
    PermissionModalComponent.prototype.focus = function () {
        this.focusElement.focus();
    };
    PermissionModalComponent.prototype.close = function () {
        if (this.hideOnClose && this.modal.isShown) {
            this.modal.hide();
        }
        this.onClose.emit(this);
        return false;
    };
    PermissionModalComponent.prototype.save = function () {
        this.onSave.emit(this);
        return false;
    };
    PermissionModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'permission-modal',
                    template: "\n    <div bsModal #modal=\"bs-modal\" class=\"modal fade permission-modal\" [ngClass]=\"[class]\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"mySmallModalLabel\"\n      aria-hidden=\"true\">\n      <div class=\"modal-dialog modal-md\">\n        <div class=\"modal-content\">\n          <div class=\"modal-header\">\n            <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"close()\">\n                        <span aria-hidden=\"true\">&times;</span>\n                    </button>\n            <h4 class=\"modal-title\">{{title | translate}}</h4>\n          </div>\n          <form (ngSubmit)=\"save()\">\n            <div class=\"modal-body\">\n              <text-input [errors]=\"errors\" [info]=\"info\" name=\"codename\" [(model)]=\"item.codename\" [title]=\"titles.codename\" [readonly]=\"readonly\"\n                [focused]=\"true\" #focusElement></text-input>\n                <text-input [errors]=\"errors\" [info]=\"info\" name=\"name\" [(model)]=\"item.name\" [title]=\"titles.name\" [readonly]=\"readonly\"></text-input>\n                <content-type-select-input [errors]=\"errors\" [info]=\"info\" name=\"contentType\" [(model)]=\"item.contentType\" [title]=\"titles.contentType\"\n                  [readonly]=\"readonly\"></content-type-select-input>\n            </div>\n            <div class=\"modal-footer\">\n              <modal-footer-buttons (onClose)=\"close()\" [readonly]=\"readonly\" [okTitle]=\"text\"></modal-footer-buttons>\n            </div>\n          </form>\n        </div>\n      </div>\n      </div>\n  ",
                    styles: ["\n    .permission-modal {\n        .field-role{\n            display: block;\n        }\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    PermissionModalComponent.ctorParameters = function () { return []; };
    PermissionModalComponent.propDecorators = {
        'modal': [{ type: ViewChild, args: ['modal',] },],
        'focusElement': [{ type: ViewChild, args: ['focusElement',] },],
        'text': [{ type: Input },],
        'class': [{ type: Input },],
        'readonly': [{ type: Input },],
        'hideOnClose': [{ type: Input },],
        'account': [{ type: Input },],
        'title': [{ type: Input },],
        'item': [{ type: Input },],
        'titles': [{ type: Input },],
        'onClose': [{ type: Output },],
        'onSave': [{ type: Output },],
    };
    return PermissionModalComponent;
}());
//# sourceMappingURL=permission-modal.component.js.map