import { Component, Input, EventEmitter, Output, ViewChild } from '@angular/core';
import { ResouceEnumStatus } from './../../../shared/enums/resource.enums';
export var ResourceInputComponent = (function () {
    function ResourceInputComponent() {
        this.lookupIcon = 'fa fa-search';
        this.focused = false;
        this.readonly = false;
        this.inputReadonly = true;
        this.name = 'resource';
        this.placeholder = '';
        this.title = '';
        this.model = {};
        this.modelChange = new EventEmitter();
        this.modelAsString = '';
        this.modelAsStringChange = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
    }
    ResourceInputComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.errors.subscribe(function (data) {
            _this.errorsValue = data;
            var keys = Object.keys(data);
            if (keys[0] === _this.name) {
                _this.focus();
            }
        });
        this.info.subscribe(function (data) {
            _this.infoValue = data;
            var keys = Object.keys(data);
            if (keys[0] === _this.name) {
                _this.focus();
            }
        });
        this.init();
    };
    ResourceInputComponent.prototype.init = function () {
        var _this = this;
        setTimeout(function (out) {
            if (_this.focused === true) {
                _this.focus();
            }
        }, 700);
        this.cachedResourcesService.loadAll();
    };
    ResourceInputComponent.prototype.focus = function () {
        if (this.inputElement) {
            this.inputElement.nativeElement.focus();
        }
    };
    Object.defineProperty(ResourceInputComponent.prototype, "value", {
        get: function () {
            return this.model;
        },
        set: function (val) {
            this.model = val;
            this.modelChange.emit(this.model);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ResourceInputComponent.prototype, "valueAsString", {
        get: function () {
            return this.modelAsString;
        },
        set: function (val) {
            this.modelAsString = val;
            this.modelAsStringChange.emit(this.modelAsString);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ResourceInputComponent.prototype, "statusListMessage", {
        get: function () {
            if (this.cachedResourcesService.statusList === ResouceEnumStatus.Ok) {
                return '';
            }
            else {
                return this.cachedResourcesService.statusListMessage;
            }
        },
        enumerable: true,
        configurable: true
    });
    ResourceInputComponent.decorators = [
        { type: Component, args: [{
                    selector: 'resource-input'
                },] },
    ];
    /** @nocollapse */
    ResourceInputComponent.ctorParameters = function () { return []; };
    ResourceInputComponent.propDecorators = {
        'inputElement': [{ type: ViewChild, args: ['inputElement',] },],
        'lookupTooltip': [{ type: Input },],
        'lookupIcon': [{ type: Input },],
        'focused': [{ type: Input },],
        'readonly': [{ type: Input },],
        'inputReadonly': [{ type: Input },],
        'name': [{ type: Input },],
        'placeholder': [{ type: Input },],
        'title': [{ type: Input },],
        'model': [{ type: Input },],
        'modelChange': [{ type: Output },],
        'modelAsString': [{ type: Input },],
        'modelAsStringChange': [{ type: Output },],
        'errors': [{ type: Input },],
        'info': [{ type: Input },],
    };
    return ResourceInputComponent;
}());
//# sourceMappingURL=resource-input.component.js.map