import { User } from '../../shared/models/user.model';
import { EventEmitter, ComponentFactoryResolver, ElementRef } from '@angular/core';
import { UserGroup } from './../../shared/models/user-group.model';
import { ConfirmModalComponent } from '../../modals/confirm-modal/confirm-modal.component';
import { UserGroupsService } from '../../shared/user-groups.service';
import { AppService } from '../../shared/app.service';
import { AccountService } from '../../shared/account.service';
import { GroupsListModalComponent } from '../groups-grid/groups-list-modal/groups-list-modal.component';
import { GroupModalComponent } from '../groups-grid/group-modal/group-modal.component';
import { GroupsService } from '../../shared/groups.service';
import { ResourcesGridComponent } from '../resources-grid/resources-grid.component';
import { TranslateService } from '@ngx-translate/core';
export declare class UserGroupsGridComponent extends ResourcesGridComponent {
    private userGroupsService;
    private groupsService;
    private accountService;
    private app;
    private resolver;
    private translateService;
    user: User;
    loadAll?: boolean;
    onSelectItems: EventEmitter<UserGroup[] | UserGroup>;
    focusElement: ElementRef;
    readonly: boolean;
    titles: any;
    userTitles: any;
    groupTitles: any;
    items: UserGroup[];
    selectedItems: UserGroup[];
    cachedResourcesService: UserGroupsService;
    constructor(userGroupsService: UserGroupsService, groupsService: GroupsService, accountService: AccountService, app: AppService, resolver: ComponentFactoryResolver, translateService: TranslateService);
    readonly account: User;
    showCreateModal(): void;
    showEditModal(item: UserGroup): void;
    saveGroup(itemModal: GroupModalComponent): void;
    showRemoveModal(item: UserGroup): void;
    save(itemModal: GroupsListModalComponent): void;
    remove(itemModal: ConfirmModalComponent): void;
}
