import { Component, Output, Input, ViewChild, EventEmitter } from '@angular/core';
import { User } from './../../shared/models/user.model';
export var AuthModalComponent = (function () {
    function AuthModalComponent() {
        this.title = '';
        this.class = '';
        this.hideOnClose = true;
        this.hideButton = false;
        this.account = null;
        this.onClose = new EventEmitter();
        this.onLogin = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
        this.userTitles = User.titles;
    }
    AuthModalComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.modal.onHidden.subscribe(function () { return _this.close(); });
        this.modal.onShown.subscribe(function () { return _this.focus(); });
        this.init();
    };
    AuthModalComponent.prototype.init = function () {
        this.account = new User();
    };
    AuthModalComponent.prototype.focus = function () {
        this.focusElement.focus();
    };
    AuthModalComponent.prototype.close = function () {
        if (this.hideOnClose && this.modal.isShown) {
            this.modal.hide();
        }
        this.onClose.emit(this);
        return false;
    };
    AuthModalComponent.prototype.login = function () {
        this.onLogin.emit(this);
        return false;
    };
    AuthModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'auth-modal',
                    template: "\n    <div bsModal #modal=\"bs-modal\" class=\"modal fade auth-modal\" [ngClass]=\"[class]\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"mySmallModalLabel\"\n      aria-hidden=\"true\">\n      <div class=\"modal-dialog modal-sm\">\n        <div class=\"modal-content\">\n          <div class=\"modal-header\">\n            <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"close()\">\n                        <span aria-hidden=\"true\">&times;</span>\n                    </button>\n            <h4 class=\"modal-title\">{{title | translate}}</h4>\n          </div>\n          <form (ngSubmit)=\"login()\">\n            <div class=\"modal-body\">\n              <text-input [errors]=\"errors\" [info]=\"info\" name=\"username\" [(model)]=\"account.username\" [title]=\"userTitles.usernameOrEmail\" [focused]=\"true\"\n                [readonly]=\"readonly\" #focusElement></text-input>\n              <text-input [errors]=\"errors\" [info]=\"info\" type=\"password\" name=\"password\" [(model)]=\"account.password\" [title]=\"userTitles.password\"\n                [readonly]=\"readonly\"></text-input>\n            </div>\n            <div class=\"modal-footer\">\n              <button type=\"button\" class=\"btn btn-default\" (click)=\"close()\" translate>Cancel</button>\n              <button type=\"submit\" class=\"btn btn-primary\" translate>Login</button>\n            </div>\n          </form>\n        </div>\n      </div>\n    </div>\n  ",
                    styles: ["\n    .auth-modal {\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    AuthModalComponent.ctorParameters = function () { return []; };
    AuthModalComponent.propDecorators = {
        'modal': [{ type: ViewChild, args: ['modal',] },],
        'focusElement': [{ type: ViewChild, args: ['focusElement',] },],
        'title': [{ type: Input },],
        'class': [{ type: Input },],
        'hideOnClose': [{ type: Input },],
        'hideButton': [{ type: Input },],
        'account': [{ type: Input },],
        'onClose': [{ type: Output },],
        'onLogin': [{ type: Output },],
    };
    return AuthModalComponent;
}());
//# sourceMappingURL=auth-modal.component.js.map