import { Component, Input, Output, ViewChild, EventEmitter } from '@angular/core';
export var ConfirmModalComponent = (function () {
    function ConfirmModalComponent() {
        this.text = '';
        this.class = '';
        this.size = 'sm';
        this.title = '';
        this.message = '';
        this.onClose = new EventEmitter();
        this.onYes = new EventEmitter();
        this.errors = new EventEmitter();
        this.info = new EventEmitter();
    }
    ConfirmModalComponent.prototype.yes = function () {
        this.onYes.emit(this);
        return false;
    };
    ConfirmModalComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.modal.onHidden.subscribe(function () { return _this.close(); });
        this.modal.onShown.subscribe(function () { return _this.focus(); });
    };
    ConfirmModalComponent.prototype.init = function () {
        if (!this.title) {
            this.title = this.text;
        }
    };
    ConfirmModalComponent.prototype.focus = function () {
        this.focusElement.nativeElement.focus();
    };
    ConfirmModalComponent.prototype.close = function () {
        if (this.hideOnClose && this.modal.isShown) {
            this.modal.hide();
        }
        this.onClose.emit(this);
        return false;
    };
    ConfirmModalComponent.decorators = [
        { type: Component, args: [{
                    selector: 'confirm-modal',
                    template: "\n    <div bsModal #modal=\"bs-modal\" class=\"modal fade confirm-modal\" [ngClass]=\"[class]\" tabindex=\"-1\" role=\"dialog\" aria-labelledby=\"mySmallModalLabel\"\n    \taria-hidden=\"true\">\n    \t<div class=\"modal-dialog\" [ngClass]=\"['modal-'+size]\">\n    \t\t<div class=\"modal-content\">\n    \t\t\t<div class=\"modal-header\">\n    \t\t\t\t<button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"close()\">\n                        <span aria-hidden=\"true\">&times;</span>\n                    </button>\n    \t\t\t\t<h4 class=\"modal-title\">{{title | translate}}</h4>\n    \t\t\t</div>\n    \t\t\t<form (ngSubmit)=\"yes()\">\n    \t\t\t\t<div class=\"modal-body\">\n    \t\t\t\t\t{{message | translate}}\n    \t\t\t\t</div>\n    \t\t\t\t<div class=\"modal-footer\">\n    \t\t\t\t\t<button type=\"button\" class=\"btn btn-default\" (click)=\"close()\" translate>No</button>\n    \t\t\t\t\t<button type=\"submit\" #focusElement class=\"btn btn-primary\" translate>Yes</button>\n    \t\t\t\t</div>\n    \t\t\t</form>\n    \t\t</div>\n    \t</div>\n    </div>\n  ",
                    styles: ["\n    .confirm-modal {\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    ConfirmModalComponent.ctorParameters = function () { return []; };
    ConfirmModalComponent.propDecorators = {
        'modal': [{ type: ViewChild, args: ['modal',] },],
        'focusElement': [{ type: ViewChild, args: ['focusElement',] },],
        'text': [{ type: Input },],
        'class': [{ type: Input },],
        'hideOnClose': [{ type: Input },],
        'size': [{ type: Input },],
        'title': [{ type: Input },],
        'hideButton': [{ type: Input },],
        'message': [{ type: Input },],
        'onClose': [{ type: Output },],
        'onYes': [{ type: Output },],
    };
    return ConfirmModalComponent;
}());
//# sourceMappingURL=confirm-modal.component.js.map