import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { AccountService } from './../../shared/account.service';
import { AppService } from '../../shared/app.service';
import { TranslateService } from '@ngx-translate/core';
export var AccountPageComponent = (function () {
    function AccountPageComponent(router, accountService, app, translateService) {
        this.router = router;
        this.accountService = accountService;
        this.app = app;
        this.translateService = translateService;
        this.title = this.translateService.instant('Account');
    }
    Object.defineProperty(AccountPageComponent.prototype, "account", {
        get: function () {
            return this.accountService.account;
        },
        enumerable: true,
        configurable: true
    });
    AccountPageComponent.prototype.ngOnInit = function () {
        this.init();
    };
    AccountPageComponent.prototype.init = function () {
        this.app.currentPageName = 'account';
        this.app.currentPageTitle = this.title;
    };
    AccountPageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'account-page',
                    template: "\n    <div class=\"container-fluid\">\n    \t<div class=\"row\">\n    \t\t<div class=\"col-sm-3 col-md-2\">\n    \t\t\t<div class=\"app-sidebar\" *ngIf=\"account\">\n    \t\t\t\t<ul class=\"nav nav-sidebar\">\n    \t\t\t\t\t<li [class.active]=\"router.isActive('/account/profile')\" *ngIf=\"account.checkPermissions(['read_profile'])\" class=\"app-sidebar__item\">\n    \t\t\t\t\t\t<a routerLink=\"/account/profile\" translate>Profile</a>\n    \t\t\t\t\t</li>\n    \t\t\t\t</ul>\n    \t\t\t</div>\n    \t\t</div>\n    \t\t<div class=\"col-sm-9 col-md-10\">\n    \t\t\t<router-outlet></router-outlet>\n    \t\t</div>\n    \t</div>\n    </div>\n  ",
                    styles: ["\n    .account-page {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    AccountPageComponent.ctorParameters = function () { return [
        { type: Router, },
        { type: AccountService, },
        { type: AppService, },
        { type: TranslateService, },
    ]; };
    return AccountPageComponent;
}());
//# sourceMappingURL=account-page.component.js.map