import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { AccountService } from './../../shared/account.service';
import { AppService } from '../../shared/app.service';
import { TranslateService } from '@ngx-translate/core';
export var AdminPageComponent = (function () {
    function AdminPageComponent(router, accountService, app, translateService) {
        this.router = router;
        this.accountService = accountService;
        this.app = app;
        this.translateService = translateService;
        this.title = this.translateService.instant('Admin');
    }
    Object.defineProperty(AdminPageComponent.prototype, "account", {
        get: function () {
            return this.accountService.account;
        },
        enumerable: true,
        configurable: true
    });
    AdminPageComponent.prototype.ngOnInit = function () {
        this.init();
    };
    AdminPageComponent.prototype.init = function () {
        this.app.currentPageName = 'admin';
        this.app.currentPageTitle = this.title;
    };
    AdminPageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'admin-page',
                    template: "\n    <div class=\"container-fluid\">\n    \t<div class=\"row\">\n    \t\t<div class=\"col-sm-3 col-md-2\">\n    \t\t\t<div class=\"app-sidebar\" *ngIf=\"account\">\n    \t\t\t\t<ul class=\"nav nav-sidebar\">\n    \t\t\t\t\t<li [class.active]=\"router.isActive('/admin/users')\" *ngIf=\"account.checkPermissions(['read_user'])\" class=\"app-sidebar__item\">\n    \t\t\t\t\t\t<a routerLink=\"/admin/users\" translate>Users</a>\n    \t\t\t\t\t</li>\n    \t\t\t\t\t<li [class.active]=\"router.isActive('/admin/groups')\" *ngIf=\"account.checkPermissions(['read_group'])\" class=\"app-sidebar__item\">\n    \t\t\t\t\t\t<a routerLink=\"/admin/groups\" translate>Groups</a>\n    \t\t\t\t\t</li>\n    \t\t\t\t</ul>\n    \t\t\t</div>\n    \t\t</div>\n    \t\t<div class=\"col-sm-9 col-md-10\">\n    \t\t\t<router-outlet></router-outlet>\n    \t\t</div>\n    \t</div>\n    </div>\n  ",
                    styles: ["\n    .admin-page {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    AdminPageComponent.ctorParameters = function () { return [
        { type: Router, },
        { type: AccountService, },
        { type: AppService, },
        { type: TranslateService, },
    ]; };
    return AdminPageComponent;
}());
//# sourceMappingURL=admin-page.component.js.map