import { Component } from '@angular/core';
import { AccountService } from '../../../shared/account.service';
import { AppService } from '../../../shared/app.service';
import { TranslateService } from '@ngx-translate/core';
export var GroupsFrameComponent = (function () {
    function GroupsFrameComponent(accountService, app, translateService) {
        this.accountService = accountService;
        this.app = app;
        this.translateService = translateService;
    }
    Object.defineProperty(GroupsFrameComponent.prototype, "account", {
        get: function () {
            return this.accountService.account;
        },
        enumerable: true,
        configurable: true
    });
    GroupsFrameComponent.prototype.ngOnInit = function () {
        this.init();
    };
    GroupsFrameComponent.prototype.init = function () {
        this.title = this.translateService.instant(this.app.currentPageTitle) + ": " + this.translateService.instant('Groups');
    };
    GroupsFrameComponent.decorators = [
        { type: Component, args: [{
                    selector: 'groups-frame',
                    template: "\n    <page-header [title]=\"title\"></page-header>\n    <groups-grid></groups-grid>\n  ",
                    styles: ["\n    .groups-frame {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    GroupsFrameComponent.ctorParameters = function () { return [
        { type: AccountService, },
        { type: AppService, },
        { type: TranslateService, },
    ]; };
    return GroupsFrameComponent;
}());
//# sourceMappingURL=groups-frame.component.js.map