import { Component } from '@angular/core';
import { AccountService } from '../../../shared/account.service';
import { AppService } from '../../../shared/app.service';
import { TranslateService } from '@ngx-translate/core';
export var UsersFrameComponent = (function () {
    function UsersFrameComponent(accountService, app, translateService) {
        this.accountService = accountService;
        this.app = app;
        this.translateService = translateService;
    }
    Object.defineProperty(UsersFrameComponent.prototype, "account", {
        get: function () {
            return this.accountService.account;
        },
        enumerable: true,
        configurable: true
    });
    UsersFrameComponent.prototype.ngOnInit = function () {
        this.init();
    };
    UsersFrameComponent.prototype.init = function () {
        this.title = this.translateService.instant(this.app.currentPageTitle) + ": " + this.translateService.instant('Users');
    };
    UsersFrameComponent.decorators = [
        { type: Component, args: [{
                    selector: 'users-frame',
                    template: "\n    <page-header [title]=\"title\"></page-header>\n    <users-grid></users-grid>\n  ",
                    styles: ["\n    .users-frame {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    UsersFrameComponent.ctorParameters = function () { return [
        { type: AccountService, },
        { type: AppService, },
        { type: TranslateService, },
    ]; };
    return UsersFrameComponent;
}());
//# sourceMappingURL=users-frame.component.js.map