import { Component } from '@angular/core';
import { AppService } from '../../shared/app.service';
import { TranslateService } from '@ngx-translate/core';
export var HomePageComponent = (function () {
    function HomePageComponent(app, translateService) {
        this.app = app;
        this.translateService = translateService;
        this.title = this.translateService.instant('Home');
    }
    HomePageComponent.prototype.ngOnInit = function () {
        this.init();
    };
    HomePageComponent.prototype.init = function () {
        this.app.currentPageName = 'home';
        this.app.currentPageTitle = this.title;
    };
    HomePageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'home-page',
                    template: "\n    <div class=\"container-fluid\">\n      <page-header [title]=\"title\"></page-header>\n    </div>\n  ",
                    styles: ["\n    .home-page {\n\n    }\n  "]
                },] },
    ];
    /** @nocollapse */
    HomePageComponent.ctorParameters = function () { return [
        { type: AppService, },
        { type: TranslateService, },
    ]; };
    return HomePageComponent;
}());
//# sourceMappingURL=home-page.component.js.map