import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { ThemesPageComponent } from './pages/themes-page/themes-page.component';
import { AdminPageComponent } from './pages/admin-page/admin-page.component';
import { UsersFrameComponent } from './pages/admin-page/users-frame/users-frame.component';
import { AccountPageComponent } from './pages/account-page/account-page.component';
import { ProfileFrameComponent } from './pages/account-page/profile-frame/profile-frame.component';
import { GroupsFrameComponent } from './pages/admin-page/groups-frame/groups-frame.component';
import { HomePageComponent } from './pages/home-page/home-page.component';
var routes = [
    { path: '', component: HomePageComponent },
    { path: 'themes', component: ThemesPageComponent },
    {
        path: 'admin', component: AdminPageComponent, children: [
            { path: '', component: UsersFrameComponent },
            { path: 'users', component: UsersFrameComponent },
            { path: 'groups', component: GroupsFrameComponent }
        ]
    },
    {
        path: 'account', component: AccountPageComponent, children: [
            { path: '', component: ProfileFrameComponent },
            { path: 'profile', component: ProfileFrameComponent }
        ]
    }
];
export var CoreRoutingModule = (function () {
    function CoreRoutingModule() {
    }
    CoreRoutingModule.decorators = [
        { type: NgModule, args: [{
                    imports: [RouterModule.forRoot(routes)],
                    exports: [RouterModule],
                    providers: []
                },] },
    ];
    /** @nocollapse */
    CoreRoutingModule.ctorParameters = function () { return []; };
    return CoreRoutingModule;
}());
//# sourceMappingURL=routing.module.js.map