import { Injectable } from '@angular/core';
import { Router, NavigationEnd } from '@angular/router';
export var AppService = (function () {
    function AppService(_router) {
        this._router = _router;
        this.createdModals = {};
        _router.events.subscribe(function (evt) {
            if (!(evt instanceof NavigationEnd)) {
                return;
            }
            document.body.scrollTop = 0;
        });
    }
    AppService.prototype.modals = function (resolver) {
        var vm = this;
        return {
            exists: function (name) {
                return vm.createdModals[name] !== undefined;
            },
            create: function (modal, name) {
                var inModal = document.body.classList.contains('modal-open');
                var factory = resolver.resolveComponentFactory(modal);
                var ref = vm.viewContainerRef.createComponent(factory);
                if (name !== undefined) {
                    vm.createdModals[name] = ref;
                }
                ref.instance.onClose.subscribe(function () {
                    ref.destroy();
                    if (name !== undefined) {
                        delete vm.createdModals[name];
                    }
                    if (inModal && !document.body.classList.contains('modal-open')) {
                        document.body.classList.add('modal-open');
                    }
                });
                ref.instance.modal.config = {};
                return ref.instance;
            }
        };
    };
    AppService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    AppService.ctorParameters = function () { return [
        { type: Router, },
    ]; };
    return AppService;
}());
//# sourceMappingURL=app.service.js.map