var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/map';
import { Fontawesome } from './models/fontawesome.model';
import { ResourceService } from './resource.service';
import { HttpService } from './http.service';
import { FontawesomeItemsMock } from './mocks/fontawesome-items.mock';
import { ResponseService } from './response.service';
export var FontawesomesService = (function (_super) {
    __extends(FontawesomesService, _super);
    function FontawesomesService(http, response) {
        _super.call(this, http, response);
        this.http = http;
        this.response = response;
        this.resourcesName = 'fontawesomes';
        this.resourceName = 'fontawesome';
        this.apiUrl = response.apiUrl + "/" + this.resourcesName;
        this.items$ = new Subject();
        this.mockedItems = FontawesomeItemsMock;
        this.meta.perPage = 10;
    }
    FontawesomesService.prototype.transformModel = function (item) {
        return new Fontawesome(item);
    };
    FontawesomesService.prototype.newCache = function () {
        return new FontawesomesService(this.http, this.response);
    };
    FontawesomesService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    FontawesomesService.ctorParameters = function () { return [
        { type: HttpService, },
        { type: ResponseService, },
    ]; };
    return FontawesomesService;
}(ResourceService));
//# sourceMappingURL=fontawesomes.service.js.map