import { Injectable } from '@angular/core';
import { Headers, RequestOptions } from '@angular/http';
import { AuthHttp } from 'angular2-jwt';
export var HttpService = (function () {
    function HttpService(http) {
        this.http = http;
        this.withCredentials = false;
    }
    HttpService.prototype.get = function (url) {
        var headers = new Headers({ 'Content-Type': 'application/json' });
        var options = new RequestOptions({ headers: headers, withCredentials: this.withCredentials });
        return this.http.get(url, options);
    };
    HttpService.prototype.post = function (url, data) {
        if (data === undefined) {
            data = {};
        }
        if (data.format !== undefined) {
            data = data.format();
        }
        var bodyString = JSON.stringify(data);
        var headers = new Headers({ 'Content-Type': 'application/json' });
        var options = new RequestOptions({ headers: headers, withCredentials: this.withCredentials });
        return this.http.post(url, bodyString, options);
    };
    HttpService.prototype.put = function (url, data) {
        if (data === undefined) {
            data = {};
        }
        if (data.format !== undefined) {
            data = data.format();
        }
        var bodyString = JSON.stringify(data);
        var headers = new Headers({ 'Content-Type': 'application/json' });
        var options = new RequestOptions({ headers: headers, withCredentials: this.withCredentials });
        return this.http.put(url, bodyString, options);
    };
    HttpService.prototype.delete = function (url) {
        var headers = new Headers({ 'Content-Type': 'application/json' });
        var options = new RequestOptions({ headers: headers, withCredentials: this.withCredentials });
        return this.http.delete(url, options);
    };
    HttpService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    HttpService.ctorParameters = function () { return [
        { type: AuthHttp, },
    ]; };
    return HttpService;
}());
//# sourceMappingURL=http.service.js.map