var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { ResourceModel } from './resource.model';
import { Permission } from './permission.model';
import * as _ from 'lodash';
export var Group = (function (_super) {
    __extends(Group, _super);
    function Group(obj) {
        _super.call(this, obj);
    }
    Group.prototype.parse = function (obj) {
        this.parseByFields(obj, Group.titles);
        this.permissions = obj.permissions && obj.permissions.length ?
            obj.permissions.map(function (permission) { return new Permission(permission); }) : [];
    };
    Group.prototype.format = function () {
        var result = this.formatByFields(Group.titles);
        result.permissions = result.permissions && result.permissions.length ?
            result.permissions.map(function (permission) { return permission.pk; }) : [];
        return result;
    };
    Group.prototype.checkPermissions = function (permissionNames) {
        var result = this.permissions && this.permissions.filter(function (permission) { return permissionNames.filter(function (permissionName) { return _.camelCase(permission.codename).toLowerCase() === _.camelCase(permissionName).toLowerCase(); }).length > 0; }).length > 0;
        if (!result) {
            permissionNames = permissionNames.map(function (permissionName) {
                return permissionName
                    .replace(permissionName.split('_')[0], 'manage');
            });
            return this.permissions && this.permissions.filter(function (permission) { return permissionNames.filter(function (permissionName) { return _.camelCase(permission.codename).toLowerCase() === _.camelCase(permissionName).toLowerCase(); }).length > 0; }).length > 0;
        }
        else {
            return result;
        }
    };
    Object.defineProperty(Group.prototype, "asString", {
        get: function () {
            return this.name;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Group.prototype, "permissionsAsString", {
        get: function () {
            if (this.permissions) {
                return this.permissions.map(function (permission) { return permission.asString; }).join(', ');
            }
            else {
                return '';
            }
        },
        enumerable: true,
        configurable: true
    });
    Group.titles = {
        id: 'Id',
        name: 'Name',
        permissions: 'Permissions' //translate
    };
    return Group;
}(ResourceModel));
//# sourceMappingURL=group.model.js.map