var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { ResourceModel } from '../../shared/models/resource.model';
import { ContentType } from './content-type.model';
export var Permission = (function (_super) {
    __extends(Permission, _super);
    function Permission(obj) {
        _super.call(this, obj);
    }
    Permission.prototype.parse = function (obj) {
        this.parseByFields(obj, Permission.titles);
        this.contentType = obj.contentType ? new ContentType(obj.contentType) : null;
    };
    Permission.prototype.format = function () {
        var result = this.formatByFields(Permission.titles);
        result.contentType = result.contentType ? result.contentType.pk : null;
        return result;
    };
    Object.defineProperty(Permission.prototype, "asString", {
        get: function () {
            return this.name;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Permission.prototype, "contentTypeAsString", {
        get: function () {
            if (this.contentType) {
                return this.contentType.asString;
            }
            else {
                return '';
            }
        },
        enumerable: true,
        configurable: true
    });
    Permission.titles = {
        id: 'Id',
        contentType: 'Content type',
        codename: 'Codename',
        name: 'Name' //translate
    };
    return Permission;
}(ResourceModel));
//# sourceMappingURL=permission.model.js.map