import * as moment from 'moment/moment';
import * as _ from 'lodash';
export var ResourceModel = (function () {
    function ResourceModel(obj, pkFieldName, pkIsNumber) {
        if (pkFieldName === undefined) {
            pkFieldName = 'id';
        }
        if (pkIsNumber === undefined) {
            pkIsNumber = true;
        }
        this._pkFieldName = pkFieldName;
        this._pkIsNumber = pkIsNumber;
        if (obj && (_.isNumber(obj) || _.isString(obj))) {
            var newObj = {};
            newObj[this._pkFieldName] = obj;
            obj = newObj;
        }
        this.parse(obj ? obj : {});
    }
    Object.defineProperty(ResourceModel.prototype, "pk", {
        get: function () {
            var key = this._pkFieldName;
            if (this.hasOwnProperty(key)) {
                return this[key];
            }
            else {
                return null;
            }
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ResourceModel.prototype, "pkFieldName", {
        get: function () {
            return this._pkFieldName;
        },
        enumerable: true,
        configurable: true
    });
    ResourceModel.prototype.parse = function (obj) {
    };
    ResourceModel.prototype.parseByFields = function (obj, fields, dateFields) {
        if (dateFields === void 0) { dateFields = []; }
        var key;
        for (key in obj) {
            if (fields.hasOwnProperty(key) && key[0] !== '_') {
                try {
                    if (this.hasOwnProperty(key)) {
                        this[key] = obj[key];
                    }
                }
                catch (err) {
                }
            }
        }
        if (this._pkIsNumber) {
            this[this._pkFieldName] = +obj[this._pkFieldName];
        }
        if (dateFields.length > 0) {
            for (key in obj) {
                if (fields.indexOf(key) !== -1) {
                    try {
                        this[key] = moment(obj[key]).toDate();
                    }
                    catch (err) {
                    }
                }
            }
        }
    };
    ResourceModel.prototype.format = function () {
    };
    ResourceModel.prototype.formatByFields = function (fields, dateFields) {
        if (dateFields === void 0) { dateFields = []; }
        var obj = {};
        var key;
        for (key in this) {
            if (fields.hasOwnProperty(key) && key[0] !== '_') {
                try {
                    obj[key] = this[key];
                }
                catch (err) {
                }
            }
        }
        if (dateFields.length > 0) {
            for (key in this) {
                if (fields.indexOf(key) !== -1) {
                    try {
                        obj[key] = moment(this[key]).toISOString();
                    }
                    catch (err) {
                    }
                }
            }
        }
        return obj;
    };
    ResourceModel.prototype.validate = function () {
        var result = {};
        var valid = true;
        if (valid === true) {
            return valid;
        }
        return result;
    };
    return ResourceModel;
}());
//# sourceMappingURL=resource.model.js.map