import { Injectable } from '@angular/core';
import { URLSearchParams } from '@angular/http';
import { MetaModel } from './models/meta.model';
import * as _ from 'lodash';
export var ResponseService = (function () {
    function ResponseService() {
    }
    Object.defineProperty(ResponseService.prototype, "apiUrl", {
        get: function () {
            return '/api';
        },
        enumerable: true,
        configurable: true
    });
    ResponseService.prototype.getResourceItemUrl = function (resoureService, key) {
        if (key === undefined) {
            return resoureService.apiUrl;
        }
        else {
            return resoureService.apiUrl + "/" + key;
        }
    };
    ;
    ResponseService.prototype.getResourcesListUrl = function (resoureService) {
        var uri = new URLSearchParams();
        for (var queryProp in resoureService.queryProps) {
            if (resoureService.queryProps.hasOwnProperty(queryProp)) {
                uri.append(_.snakeCase(queryProp), resoureService.queryProps[queryProp]);
            }
        }
        var apiUrl = resoureService.apiUrl;
        if (resoureService.props !== null) {
            apiUrl = resoureService.apiUrlWithProps;
            for (var propKey in resoureService.props) {
                if (resoureService.props.hasOwnProperty(propKey)) {
                    apiUrl = apiUrl.replace("{" + propKey + "}", resoureService.props[propKey]);
                }
            }
        }
        return apiUrl + ("?" + uri.toString());
    };
    ;
    ResponseService.prototype.getResourcesListResponse = function (resoureService, response) {
        var data = response.json();
        resoureService.meta = new MetaModel(data['meta']);
        return data[_.camelCase(resoureService.resourcesName)];
    };
    ;
    ResponseService.prototype.getResourceItemResponse = function (resoureService, response) {
        return response.json()[_.camelCase(resoureService.resourceName)];
    };
    ResponseService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    ResponseService.ctorParameters = function () { return []; };
    return ResponseService;
}());
//# sourceMappingURL=response.service.js.map