var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
import { Injectable } from '@angular/core';
import { Theme } from './models/theme.model';
import { ResourceService } from '../shared/resource.service';
import { Subject } from 'rxjs/Subject';
import { HttpService } from '../shared/http.service';
import { ThemeItemsMock } from './mocks/theme-items.mock';
import { ResponseService } from './response.service';
export var ThemesService = (function (_super) {
    __extends(ThemesService, _super);
    function ThemesService(http, response) {
        _super.call(this, http, response);
        this.http = http;
        this.response = response;
        this.resourcesName = 'themes';
        this.resourceName = 'theme';
        this.apiUrl = response.apiUrl + "/" + this.resourcesName;
        this.items$ = new Subject();
        this.mockedItems = ThemeItemsMock;
        this.meta.perPage = 100;
    }
    ThemesService.prototype.transformModel = function (item) {
        return new Theme(item);
    };
    ThemesService.prototype.newCache = function () {
        return new ThemesService(this.http, this.response);
    };
    ThemesService.prototype.setTheme = function (theme) {
        if (!theme.url) {
            return;
        }
        var links = document.getElementsByTagName('link');
        for (var i = 0; i < links.length; i++) {
            var link = links[i];
            if (link.getAttribute('rel').indexOf('style') !== -1 && link.getAttribute('title')
                && link.getAttribute('title') === 'bootstrap') {
                link.setAttribute('href', theme.url);
            }
        }
    };
    ThemesService.prototype.getCurrentTheme = function () {
        var links = document.getElementsByTagName('link');
        for (var i = 0; i < links.length; i++) {
            var link = links[i];
            if (link.getAttribute('rel').indexOf('style') !== -1 && link.getAttribute('title')
                && link.getAttribute('title') === 'bootstrap') {
                for (var j = 0; j < this.items.length; j++) {
                    if (link.getAttribute('href') === this.items[j].url) {
                        return this.items[j];
                    }
                }
            }
        }
        return new Theme();
    };
    ThemesService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    ThemesService.ctorParameters = function () { return [
        { type: HttpService, },
        { type: ResponseService, },
    ]; };
    return ThemesService;
}(ResourceService));
//# sourceMappingURL=themes.service.js.map