import { Injectable } from '@angular/core';
import * as _ from 'lodash';
export var UtilsService = (function () {
    function UtilsService() {
    }
    UtilsService.inValues = function (item, q) {
        var founded = false;
        for (var key in item) {
            if (!founded && item.hasOwnProperty(key) && key[0] !== '_') {
                var value = item[key];
                if (!_.isString(value)) {
                    if (value['asString'] === undefined) {
                        value = value.toString();
                    }
                    else {
                        value = value.asString;
                    }
                }
                if (value.indexOf(q) !== -1) {
                    founded = true;
                }
            }
        }
        return founded;
    };
    UtilsService.isJson = function (str) {
        try {
            JSON.parse(str);
        }
        catch (e) {
            return false;
        }
        return true;
    };
    UtilsService.extractError = function (error, message) {
        if (message === undefined) {
            message = 'Unknown error';
        }
        if (!error._body || !UtilsService.isJson(error._body) || error.json().type === 'error') {
            return { message: [error.statusText ? error.statusText : message] };
        }
        else {
            var errorBody = error.json();
            if (errorBody.errors !== undefined) {
                return { message: [errorBody.errors] };
            }
            if (errorBody.detail !== undefined) {
                return { message: [errorBody.detail] };
            }
            if (errorBody.nonFieldErrors !== undefined) {
                return { message: [errorBody.nonFieldErrors] };
            }
            var key = void 0;
            for (key in errorBody) {
                if (errorBody.hasOwnProperty(key)) {
                    errorBody[_.camelCase(key)] = errorBody[key];
                }
            }
            return errorBody;
        }
    };
    UtilsService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    UtilsService.ctorParameters = function () { return []; };
    return UtilsService;
}());
//# sourceMappingURL=utils.service.js.map